about summary refs log tree commit diff
path: root/test
diff options
context:
space:
mode:
authorvan Hauser <vh@thc.org>2020-04-25 12:48:48 +0200
committervan Hauser <vh@thc.org>2020-04-25 12:48:48 +0200
commit5c017d7071c458193101ee864e055e68a13ed03d (patch)
tree1680ddbcb18c87a0739d74a8b9a75f1cbbce5fc9 /test
parent62aacf88ab57ff9fb3652c28c95b6bfdc6d72eec (diff)
downloadafl++-5c017d7071c458193101ee864e055e68a13ed03d.tar.gz
travis Dockerfiles for testing and debugging
Diffstat (limited to 'test')
-rw-r--r--test/travis/bionic/Dockerfile43
-rw-r--r--test/travis/trusty/Dockerfile48
-rw-r--r--test/travis/xenial/Dockerfile45
3 files changed, 136 insertions, 0 deletions
diff --git a/test/travis/bionic/Dockerfile b/test/travis/bionic/Dockerfile
new file mode 100644
index 00000000..3883f775
--- /dev/null
+++ b/test/travis/bionic/Dockerfile
@@ -0,0 +1,43 @@
+# This is the Dockerfile for testing problems in Travis build
+# configuration #1.
+# This needs not to be rebuild everytime, most of the time it needs just to
+# be build once and then started when debugging issues and execute:
+#   cd /AFLplusplus/
+#   git pull
+#   make distrib
+#
+FROM ubuntu:bionic
+LABEL "about"="travis image 1"
+RUN apt-get update && apt-get -y install \
+    automake \
+    bison \
+    build-essential \
+    clang \
+    flex \
+    git \
+    python3.7 python3.7-dev \
+    libtool libtool-bin \
+    libglib2.0-dev \
+    python-setuptools \
+    wget \
+    ca-certificates \
+    libpixman-1-dev \
+    gcc-7 gcc-7-plugin-dev libc++-7-dev \
+    findutils \
+    libcmocka-dev \
+    joe nano vim locate \
+    && rm -rf /var/lib/apt/lists/*
+
+ENV AFL_NO_UI=1
+ENV AFL_I_DONT_CARE_ABOUT_MISSING_CRASHES=1
+
+RUN cd / && \
+    git clone https://github.com/AFLplusplus/AFLplusplus && \
+    cd AFLplusplus && \
+    git checkout dev && \
+    cd qemu_mode && wget http://download.qemu-project.org/qemu-3.1.1.tar.xz && \
+    cd ../unicorn_mode && git submodule init && git submodule update || true && \
+    cd /AFLplusplus && ASAN_BUILD=1 make source-only || true
+
+WORKDIR /AFLplusplus
+CMD ["/bin/bash"]
diff --git a/test/travis/trusty/Dockerfile b/test/travis/trusty/Dockerfile
new file mode 100644
index 00000000..7b86f3e7
--- /dev/null
+++ b/test/travis/trusty/Dockerfile
@@ -0,0 +1,48 @@
+# This is the Dockerfile for testing problems in Travis builds
+# configuration #3.
+# This needs not to be rebuild everytime, most of the time it needs just to
+# be build once and then started when debugging issues and execute:
+#   cd /AFLplusplus/
+#   git pull
+#   make distrib
+#
+FROM ubuntu:trusty
+LABEL "about"="travis image 3"
+RUN apt-get update && apt-get -y install \
+    automake \
+    bison \
+    build-essential \
+    clang \
+    flex \
+    git \
+    python2.7 python2.7-dev \
+    libtool \
+    libglib2.0-dev \
+    python-setuptools \
+    wget \
+    ca-certificates \
+    libpixman-1-dev \
+    gcc-4.8 gcc-4.8-plugin-dev \
+    libc++-dev \
+    findutils \
+    libcmocka-dev \
+    joe nano vim locate \
+    && rm -rf /var/lib/apt/lists/*
+
+ENV TERM linux
+ENV DEBIAN_FRONTEND noninteractive
+ENV LLVM_CONFIG=llvm-config-3.4
+ENV AFL_NO_UI=1
+ENV AFL_I_DONT_CARE_ABOUT_MISSING_CRASHES=1
+
+RUN cd / && \
+    git clone https://github.com/AFLplusplus/AFLplusplus && \
+    cd AFLplusplus && \
+    git checkout dev && \
+    cd qemu_mode && wget http://download.qemu-project.org/qemu-3.1.1.tar.xz && \
+    cd ../unicorn_mode && git submodule init && git submodule update || true && \
+    cd /AFLplusplus && ASAN_BUILD=1 make source-only || true
+
+WORKDIR /AFLplusplus
+CMD ["/bin/bash"]
+
diff --git a/test/travis/xenial/Dockerfile b/test/travis/xenial/Dockerfile
new file mode 100644
index 00000000..a5f8d359
--- /dev/null
+++ b/test/travis/xenial/Dockerfile
@@ -0,0 +1,45 @@
+# This is the Dockerfile for testing problems in Travis builds
+# configuration #2.
+# This needs not to be rebuild everytime, most of the time it needs just to
+# be build once and then started when debugging issues and execute:
+#   cd /AFLplusplus/
+#   git pull
+#   make distrib
+#
+FROM ubuntu:xenial
+LABEL "about"="travis image 2"
+RUN apt-get update && apt-get -y install \
+    automake \
+    bison \
+    build-essential \
+    clang-6.0 \
+    flex \
+    git \
+    python3 python3-dev \
+    libtool libtool-bin \
+    libglib2.0-dev \
+    python-setuptools \
+    wget \
+    ca-certificates \
+    libpixman-1-dev \
+    gcc-5 gcc-5-plugin-dev \
+    libc++-dev \
+    findutils \
+    libcmocka-dev \
+    joe nano vim locate \
+    && rm -rf /var/lib/apt/lists/*
+
+ENV LLVM_CONFIG=llvm-config-6.0
+ENV AFL_NO_UI=1
+ENV AFL_I_DONT_CARE_ABOUT_MISSING_CRASHES=1
+
+RUN cd / && \
+    git clone https://github.com/AFLplusplus/AFLplusplus && \
+    cd AFLplusplus && \
+    git checkout dev && \
+    cd qemu_mode && wget http://download.qemu-project.org/qemu-3.1.1.tar.xz && \
+    cd ../unicorn_mode && git submodule init && git submodule update || true && \
+    cd /AFLplusplus && ASAN_BUILD=1 make source-only || true
+
+WORKDIR /AFLplusplus
+CMD ["/bin/bash"]